
package de.ivu.elect.presentation.gebietsbaum.form;

import java.util.List;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;

/**
 *  on 02.07.2015.
 */
public class GebietsartSelectOneMenuProperty extends AbstractGebietsartSelectOneMenuProperty {

  private final Gebiet gebiet;

  public GebietsartSelectOneMenuProperty(List<Gebietsart> values, Gebiet gebiet) {
    super(values);

    this.gebiet = gebiet;
  }

  @Override
  public boolean isRequired() {
    return true;
  }

  @Override
  public Gebietsart getValue() {
    return gebiet.getGebietsart();
  }

  @Override
  public void setValue(Gebietsart gebietsart) {
    gebiet.setGebietsart(gebietsart);
  }
}
